import * as _backstage_plugin_scaffolder_node from '@backstage/plugin-scaffolder-node';
import * as _backstage_integration from '@backstage/integration';
import { ScmIntegrationRegistry } from '@backstage/integration';
import * as bitbucketCloud from '@backstage/plugin-scaffolder-backend-module-bitbucket-cloud';
import * as bitbucketServer from '@backstage/plugin-scaffolder-backend-module-bitbucket-server';
import * as _backstage_backend_plugin_api from '@backstage/backend-plugin-api';
import * as _backstage_types from '@backstage/types';
import { Config } from '@backstage/config';

/**
 * Creates a new action that initializes a git repository of the content in the workspace
 * and publishes it to Bitbucket.
 * @public
 * @deprecated in favor of "createPublishBitbucketCloudAction" by \@backstage/plugin-scaffolder-backend-module-bitbucket-cloud and "createPublishBitbucketServerAction" by \@backstage/plugin-scaffolder-backend-module-bitbucket-server
 */
declare function createPublishBitbucketAction(options: {
    integrations: ScmIntegrationRegistry;
    config: Config;
}): _backstage_plugin_scaffolder_node.TemplateAction<{
    repoUrl: string;
    description?: string;
    defaultBranch?: string;
    repoVisibility?: "private" | "public";
    sourcePath?: string;
    enableLFS?: boolean;
    token?: string;
    gitCommitMessage?: string;
    gitAuthorName?: string;
    gitAuthorEmail?: string;
    signCommit?: boolean;
}, _backstage_types.JsonObject, "v1">;

/**
 * @public
 * @deprecated use import from `@backstage/plugin-scaffolder-backend-module-bitbucket-cloud` instead
 */
declare const createPublishBitbucketCloudAction: typeof bitbucketCloud.createPublishBitbucketCloudAction;
/**
 * @public
 * @deprecated use import from `@backstage/plugin-scaffolder-backend-module-bitbucket-cloud` instead
 */
declare const createBitbucketPipelinesRunAction: (options: {
    integrations: _backstage_integration.ScmIntegrationRegistry;
}) => _backstage_plugin_scaffolder_node.TemplateAction<{
    workspace: string;
    repo_slug: string;
    body?: object;
    token?: string;
}, {
    buildNumber: number;
    repoUrl: string;
    pipelinesUrl: string;
}, "v1">;
/**
 * @public
 * @deprecated use import from `@backstage/plugin-scaffolder-backend-module-bitbucket-server` instead
 */
declare const createPublishBitbucketServerAction: typeof bitbucketServer.createPublishBitbucketServerAction;
/**
 * @public
 * @deprecated use import from `@backstage/plugin-scaffolder-backend-module-bitbucket-server` instead
 */
declare const createPublishBitbucketServerPullRequestAction: typeof bitbucketServer.createPublishBitbucketServerPullRequestAction;

/**
 * The Bitbucket Module for the Scaffolder Backend
 * @public
 * @deprecated use module by \@backstage/plugin-scaffolder-backend-module-bitbucket-cloud or \@backstage/plugin-scaffolder-backend-module-bitbucket-server instead
 */
declare const bitbucketModule: _backstage_backend_plugin_api.BackendFeature;

export { createBitbucketPipelinesRunAction, createPublishBitbucketAction, createPublishBitbucketCloudAction, createPublishBitbucketServerAction, createPublishBitbucketServerPullRequestAction, bitbucketModule as default };
